import java.util.Scanner;
public class pecina {
	
	public static void main(String[] args) {
        int N = 0;
        int L = 0;
        Scanner in = new Scanner(System.in);

   
        if (in.hasNextInt()) {
            N = in.nextInt();
        }

        if (in.hasNextInt()) {
            L = in.nextInt(); 
        }
        
        if (N<=0 || N>=1000|| L<=0 || L>= 1000000000) {
        	System.out.println(-1);
        }
        
     int[]stal= new int[N];
     for (int i=0; i<N; i++) {
			stal[i]=in.nextInt();
		}
     for (int i=0; i<stal.length; i++) {
			
    	 if (stal[i]<=L) {
				System.out.println(i+1);	
			}
				
			else {
				if(i==stal.length-1) {
					System.out.println(-1);
					}
				else {
					continue;
				}
				
				}
    	return;
			}
		
		}
					
		
	}